org.apache.ivy.osgi.filter

## Class OSGiFilterParser

- java.lang.Object
- - org.apache.ivy.osgi.filter.OSGiFilterParser

    public class OSGiFilterParser
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`OSGiFilterParser()`

### Method Summary

Methods
`static OSGiFilter` `parse(java.lang.String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OSGiFilterParser

    public OSGiFilterParser()

### Method Detail

#### parse

    public static OSGiFilter parse(java.lang.String text)
                            throws java.text.ParseException

Throws:
  `java.text.ParseException`